Loading...
Searching...
No Matches
_ocsd_ptm_pkt Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_ptm.h>`

Inheritance diagram for _ocsd_ptm_pkt:
[legend]
Collaboration diagram for _ocsd_ptm_pkt:
[legend]

## Public Attributes

ocsd_ptm_pkt_type | type
ocsd_isa | curr_isa
ocsd_isa | prev_isa
ocsd_pkt_vaddr | addr
ptm_context_t | context
ocsd_pkt_atom | atom
ocsd_iSync_reason | i_sync_reason
uint32_t | cycle_count
uint8_t | cc_valid
uint64_t | timestamp
uint8_t | ts_update_bits
ocsd_ptm_excep | exception
ocsd_ptm_pkt_type | err_type

## Detailed Description

Definition at line 96 of file trc_pkt_types_ptm.h.

## Member Data Documentation

## addr

ocsd_pkt_vaddr _ocsd_ptm_pkt::addr

current address.

Definition at line 103 of file trc_pkt_types_ptm.h.

## atom

ocsd_pkt_atom _ocsd_ptm_pkt::atom

Definition at line 105 of file trc_pkt_types_ptm.h.

## cc_valid

uint8_t _ocsd_ptm_pkt::cc_valid

cycle count value valid.

Definition at line 110 of file trc_pkt_types_ptm.h.

## context

ptm_context_t _ocsd_ptm_pkt::context

current context.

Definition at line 104 of file trc_pkt_types_ptm.h.

## curr_isa

ocsd_isa _ocsd_ptm_pkt::curr_isa

current ISA.

Definition at line 100 of file trc_pkt_types_ptm.h.

## cycle_count

uint32_t _ocsd_ptm_pkt::cycle_count

cycle count value associated with this packet.

Definition at line 109 of file trc_pkt_types_ptm.h.

## err_type

ocsd_ptm_pkt_type _ocsd_ptm_pkt::err_type

Basic packet type if primary type indicates error or incomplete.

Definition at line 117 of file trc_pkt_types_ptm.h.

## exception

ocsd_ptm_excep _ocsd_ptm_pkt::exception

exception information in packet

Definition at line 115 of file trc_pkt_types_ptm.h.

## i_sync_reason

ocsd_iSync_reason _ocsd_ptm_pkt::i_sync_reason

reason for ISync Packet.

Definition at line 107 of file trc_pkt_types_ptm.h.

## prev_isa

ocsd_isa _ocsd_ptm_pkt::prev_isa

previous ISA

Definition at line 101 of file trc_pkt_types_ptm.h.

## timestamp

uint64_t _ocsd_ptm_pkt::timestamp

timestamp value.

Definition at line 112 of file trc_pkt_types_ptm.h.

## ts_update_bits

uint8_t _ocsd_ptm_pkt::ts_update_bits

bits of ts updated this packet. (if TS packet)

Definition at line 113 of file trc_pkt_types_ptm.h.

## type

ocsd_ptm_pkt_type _ocsd_ptm_pkt::type

Primary packet type.

Definition at line 98 of file trc_pkt_types_ptm.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/opencsd/ptm/trc_pkt_types_ptm.h